pack.h File Reference
`#include "pack_define.h"`
`#include "object.h"`
`#include <stdlib.h>`
`#include "pack_template.h"`

Go to the source code of this file.

## Classes

struct | msgpack_packer

## Macros

#define | msgpack_pack_inline_func(name) inline int msgpack_pack ## name
#define | msgpack_pack_inline_func_cint(name) inline int msgpack_pack ## name
#define | msgpack_pack_inline_func_fixint(name) inline int msgpack_pack_fix ## name
#define | msgpack_pack_user msgpack_packer*
#define | msgpack_pack_append_buffer(user, buf, len) return (*(user)->callback)((user)->data, (const char*)buf, len)

## Typedefs

typedef int(* | msgpack_packer_write) (void *data, const char *buf, size_t len)
typedef struct msgpack_packer | msgpack_packer

## Functions

MSGPACK_DLLEXPORT int | msgpack_pack_object (msgpack_packer *pk, msgpack_object d)

## Macro Definition Documentation

## msgpack_pack_append_buffer

#define msgpack_pack_append_buffer | ( |  | user,
|  |  | buf,
|  |  | len
| ) |  | return (*(user)->callback)((user)->data, (const char*)buf, len)

Referenced by _array(), _bin(), _bin_body(), _double(), _ext(), _ext_body(), _false(), _float(), _map(), _nil(), _str(), _str_body(), _true(), _v4raw(), and _v4raw_body().

## msgpack_pack_inline_func

#define msgpack_pack_inline_func | ( |  | name | ) | inline int msgpack_pack ## name

## msgpack_pack_inline_func_cint

#define msgpack_pack_inline_func_cint | ( |  | name | ) | inline int msgpack_pack ## name

Referenced by _unsigned_char().

## msgpack_pack_inline_func_fixint

#define msgpack_pack_inline_func_fixint | ( |  | name | ) | inline int msgpack_pack_fix ## name

## msgpack_pack_user

#define msgpack_pack_user msgpack_packer*

Referenced by _unsigned_char().